function sw = thresholding(w,thrd,msg)
% Thresholding by using the degree of sparsity
%
% INPUT:
% w: vector, to be sparsed.
% thrd: a number, given the degree of sparsity.
% msg: the information about the variable.
%
% OUTPUT:
% sw: vector, sparsed results.
%
num_nonzeros = length(find(abs(w)> eps));
if (num_nonzeros == 0)
    display(['thresholding Warning: ' msg ' are zeros before thresholding!']);
    sw = w; 
    return;
end
ind = logical(abs(w) < thrd);
sw = w - sign(w).*thrd;
sw(ind) = 0;
end
